description

# SourceLocation class Null safety

A SourceLocation describes the span of an entity in Dart source code.

## Constructors

SourceLocation()

## Properties

column → int
  The 1-based column number for this source location. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
line → int
  The 1-based line number for this source location. [...]
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
sourceUri → Uri
  Returns the URI where the source originated.
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited